## beaver 0.2.3-1

=== src/Makefile ===
##
## Makefile for Beaver
## 
## Made by marc bevand
## Login   <bevand_m@epita.fr>
## 
## Started on  Wed Sep 27 19:43:16 2000 marc bevand
## Last update Mon Feb 25 02:11:32 2002 marc bevand
##

CC      = gcc
RM      = rm -f
CP      = cp
#
DESTDIR = /usr/local
IPATH   = 
LPATH   = 
OPTI    = -O3 -funroll-loops -fomit-frame-pointer #-mpentium
DBUG    = #-ggdb #-pg
WARN	= #-Wall #-pedantic -ansi -W
#
### Unix version ###
CFLAGS  = ${OPTI} ${DBUG} ${WARN} ${IPATH} `gtk-config --cflags`
LDFLAGS = ${OPTI} ${DBUG} ${WARN} ${LPATH} `gtk-config --libs`
NAME    = beaver
### Windows version ###
#CFLAGS  = ${OPTI} ${DBUG} ${WARN} ${IPATH}\
#	   -fnative-struct -mwindows
#LDFLAGS = ${OPTI} ${DBUG} ${WARN} ${LPATH}\
#	   -lgdk-1.3 -lgtk-1.3 -lgmodule-1.3 -lglib-1.3 -lm
#NAME    = beaver.exe
#
SRC	= main.c search.c tools.c languages.c editor.c prefs.c conf.c msgbar.c\
	  toolbar.c interface.c filesops.c completion.c undoredo.c
INC	= ${SRC:.c=.h} struct.h wordfile.h
OBJ	= ${SRC:.c=.o}
#

all	: ${OBJ}
	${CC} -o ${NAME} ${OBJ} ${LDFLAGS}
	@strip --strip-all ${NAME}

clean	:
	${RM} *~ \#* gmon.out ../beaver.1x.gz ${OBJ} ${NAME}

install :
	install -d $(DESTDIR)/X11R6/bin
	install beaver $(DESTDIR)/X11R6/bin
	install -d $(DESTDIR)/share/beaver/bl
	cp ../bl/* $(DESTDIR)/share/beaver/bl
	install -d $(DESTDIR)/share/pixmaps
	cp ../pixmaps/beaver.png $(DESTDIR)/share/pixmaps
	gzip -c9 ../beaver.1x > ../beaver.1x.gz
	install -d $(DESTDIR)/X11R6/man/man1
	cp ../beaver.1x.gz $(DESTDIR)/X11R6/man/man1
	@echo
	@echo "Files installed :"
	@echo "-----------------"
	@echo
	@echo "$(DESTDIR)/X11R6/bin/beaver"
	@echo "$(DESTDIR)/share/beaver/bl/example1.bl"
	@echo "$(DESTDIR)/share/beaver/bl/example2.bl"
	@echo "$(DESTDIR)/share/beaver/bl/glib.bl"
	@echo "$(DESTDIR)/share/pixmaps/beaver.png"
	@echo "$(DESTDIR)/X11R6/man/man1/beaver.1x.gz"
	@echo
	@echo ",----------------------------------."
	@echo "| Beaver succesfully installed ^_^ |"
	@echo "\`----------------------------------'"

re	: clean all

.c.o	:
	${CC} ${CFLAGS} -c $< -o $@

${OBJ}	: ${INC}
