=== debian/changelog ===
beaver (0.2.3-1) unstable; urgency=low

  * New Upstream release (fixes bugs, code cleanup etc)

 -- Ramakrishnan M <rkrishnan@debian.org>  Sat, 16 Mar 2002 10:41:34 +0530

beaver (0.2.2-1) unstable; urgency=low

  * New Upstream version.
    (Includes the manpage written by me, and other bugfixes reported
    at the Debian BTS in addition to other fixes etc)

 -- Ramakrishnan M <rkrishnan@debian.org>  Mon, 18 Feb 2002 14:49:49 +0530 

beaver (0.2.1-1.2) unstable; urgency=low

  * Fixes description line length problem.
    (Closes: Bug#130978)
  * Fixes minor description problems. 
    Thanks to Daniel Burrows <dburrows@debian.org> for pointing them out.
    (Closes: Bug#111813)

 -- Ramakrishnan M <rkrishnan@debian.org>  Sat, 16 Feb 2002 06:19:40 +0530

beaver (0.2.1-1.1) unstable; urgency=low

  * NMU
  * Removed the `-mpentium' compiler optimization since it makes
    beaver impossible to compile on other architectures.
    (closes: Bug#111873)
  * Applied patch which fixes 64-bit issues from casting pointers
    to integers.  Thanks go to Paul Slootman <paul@wurtel.net> for
    submitting the patch to the Debian BTS.  (closes: Bug#112771)
  * Fix packaging so it cleans its self properly.

 -- Doug Porter <dsp@debian.org>  Thu, 18 Oct 2001 09:13:32 -0500

beaver (0.2.1-1) unstable; urgency=low

  * Initial Release.
    Closes: bug#86346
    
 -- Ramakrishnan M <rkrishnan@debian.org>  Fri, 16 Feb 2001 21:45:20 +0530
