=== debian/control ===
Source: beaver
Section: editors
Priority: optional
Maintainer: Ramakrishnan M <rkrishnan@debian.org>
Build-Depends: libgtk1.2-dev, debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: beaver
Architecture: any
Depends: ${shlibs:Depends}
Description: An Early AdVanced EditoR
 Beaver is a text editor that is lightweight but full of features for 
 programming from web authoring to C programming. It is based on the 
 GTK+ toolkit, supports tons of languages through config files (compatible 
 with UltraEdit 'wordfile.txt') and offers functions such as automatic 
 indentation, correction and completion, or syntax highlighting.
