## beaver 0.2.5-1

=== debian/changelog ===
beaver (0.2.5-1) unstable; urgency=low

  * New upstream release

 -- Ramakrishnan M <rkrishnan@debian.org>  Fri, 14 Feb 2003 20:08:26 +0530

beaver (0.2.4-1) unstable; urgency=low

  * New upstream release
  
  *  (closes: #172628)

 -- Ramakrishnan M <rkrishnan@debian.org>  Wed, 11 Dec 2002 22:56:11 +0530
