=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ramakrishnan M <rkrishnan@debian.org>
 Build-Depends: libgtk1.2-dev, debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Standards-Version: 3.5.8
 
 Package: beaver
 Architecture: any
