=== debian/changelog ===
beaver (0.2.5-2) unstable; urgency=low

  * Orphaning the package: changing maintainer field to
    Debian QA.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 25 Sep 2004 15:59:43 +0530
