=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: beaver
 Section: editors
 Priority: optional
-Maintainer: Ramakrishnan M <rkrishnan@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: libgtk1.2-dev, debhelper (>> 3.0.0)
 Standards-Version: 3.5.8
