=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 #	dh_installmime
 #	dh_installinit
 	dh_installcron
-	dh_installman
+	dh_installman beaver.1x
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs ChangeLog
